
User Interface - Bug #2810

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

button highlight does not change when the user clicks on a non-focused button

11/03/2015 09:35 AM - Greg Shah

Status: Rejected Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/03/2015 09:38 AM - Greg Shah

This can be recreated using ./button/gui_btn_test4.p.  Try to click on an unfocused button.  The button responds properly, but the highlight never

shifts to the new button.

I wonder if this is related to the 2677a revision 11000 change to src/com/goldencode/p2j/ui/client/gui/ButtonGuiImpl.java?

#2 - 11/03/2015 09:48 AM - Greg Shah

When using TAB to change focus, the focus highlight moves as expected.

#3 - 11/03/2015 09:54 AM - Constantin Asofiei

I can't duplicate this via mouse.

#4 - 11/03/2015 10:07 AM - Greg Shah

Strange.  I can't duplicate it either.

I wonder if I encountered some rare race condition when I saw the bug.  I'll close this for now.  If we see it again, we can re-open it.

#5 - 11/03/2015 10:07 AM - Greg Shah

- Status changed from New to Rejected

#6 - 11/10/2015 05:11 AM - Greg Shah

- % Done changed from 0 to 100

#7 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
